Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class AbstractExpressionPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.BuiltInPattern
              de.grogra.xl.query.AbstractExpressionPattern

All Implemented Interfaces:
  BytecodeSerialization.Serializable

Direct Known Subclasses:
  ExpressionPattern

    public abstract class AbstractExpressionPattern

extends BuiltInPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary
`static int` | `BLOCK`
`static int` | `CONDITION`
`static int` | `EXPRESSION`
`protected int` | `pathIn`
`protected int` | `pathOut`
`protected int` | `type`

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`protected` | `AbstractExpressionPattern(Type[] termTypes, int type, int pathIn, int pathOut)`

Method Summary
`Pattern.Matcher` | `createMatcher(Graph src, XBitSet providedConstants, IntList neededConstantsOut)`
`protected abstract void` | `findMatchesImpl(QueryState qs, MatchConsumer consumer, int arg, Frame frame)`
`int` | `getParameterKind(int index)`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, isDeleting, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.xl.query.BytecodeSerialization.Serializable
`write`

Field Detail

### BLOCK

    public static final int BLOCK

See Also:
  Constant Field Values

### CONDITION

    public static final int CONDITION

See Also:
  Constant Field Values

### EXPRESSION

    public static final int EXPRESSION

See Also:
  Constant Field Values

### pathIn

    protected final int pathIn

### pathOut

    protected final int pathOut

### type

    protected final int type

Constructor Detail

### AbstractExpressionPattern

    protected AbstractExpressionPattern(Type[] termTypes,
                                        int type,
                                        int pathIn,
                                        int pathOut)

Method Detail

### createMatcher

    public Pattern.Matcher createMatcher(Graph src,
                                         XBitSet providedConstants,
                                         IntList neededConstantsOut)

  Specified by:
    `createMatcher` in class `Pattern`

### findMatchesImpl

    protected abstract void findMatchesImpl(QueryState qs,
                                            MatchConsumer consumer,
                                            int arg,
                                            Frame frame)

### getParameterKind

    public int getParameterKind(int index)

  Specified by:
    `getParameterKind` in class `Pattern`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD